Package: reportbug
Version: 6.6.3
Severity: normal
File: /usr/bin/querybts

Dear Maintainer,

   * What led up to the situation?

1. There were no bugs filed against x42-plugins.
2. I submitted a bug.
3. I ran 'querybts -s x42-plugins', it listed no bugs.
4. I waited a few minutes.
5. I ran querybts again:

Querying Debian BTS for reports on x42-plugins (source)...
1 bug report found:

Traceback (most recent call last):
  File "/usr/bin/querybts", line 240, in <module>
  File "/usr/bin/querybts", line 220, in main
    mbox_reader_cmd=options.mbox_reader_cmd, latest_first=options.latest_first)
  File "/usr/lib/python2.7/dist-packages/reportbug/ui/", line 581, in 
  File "/usr/lib/python2.7/dist-packages/reportbug/ui/", line 603, in 
    category = hierarchy[0]
IndexError: list index out of range
zsh: exit 1     querybts -s x42-plugins

6. I then immediately re-ran that command, and this time it succeeded:

Querying Debian BTS for reports on x42-plugins (source)...
1 bug report found:

Bugs with severity normal
  1) #828168  x42-plugins: midimap.lv2/manifest.ttl uses non-portable shell syn
(1-1/1) What would you like to do next [N|b|m|r|q|f|e|?]? querybts: exiting due 
to user interrupt.

   * What outcome did you expect instead?

I expected step (5) to give the same results as either step (3) or step (6).


(lamby@ and joostvb@ asked me to report this as a bug)

-- Package-specific info:
** Environment settings:
DEBEMAIL="Daniel Shahaf <>"

** /home/daniel/.reportbugrc:
reportbug_version "6.6.3"
mode standard
ui text
realname "Daniel Shahaf"
email ""
header "X-Debbugs-CC:"
mbox_reader_cmd "mutt -f %s"

-- System Information:
Debian Release: 8.2
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'testing-updates'), (500, 
'stable-updates'), (250, 'testing'), (200, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.16.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages reportbug depends on:
ii  apt     
ii  python            2.7.9-1
ii  python-reportbug  6.6.3
pn  python:any        <none>

reportbug recommends no packages.

Versions of packages reportbug suggests:
pn  claws-mail                                 <none>
pn  debconf-utils                              <none>
ii  debsums                                    2.0.53
pn  dlocate                                    <none>
pn  emacs23-bin-common | emacs24-bin-common    <none>
ii  exim4                                      4.84.2-1
ii  exim4-daemon-light [mail-transport-agent]  4.84.2-1
ii  file                                       1:5.22+15-2+deb8u1
ii  gnupg                                      1.4.18-7+deb8u1
ii  python-gtk2                                2.24.0-4
pn  python-gtkspell                            <none>
ii  python-urwid                               1.2.1-2+b1
pn  python-vte                                 <none>
ii  xdg-utils                                  1.1.0~rc1+git20111210-7.4

Versions of packages python-reportbug depends on:
ii  apt     
ii  python-debian     0.1.27
ii  python-debianbts  1.12
pn  python:any        <none>

python-reportbug suggests no packages.

-- debconf-show failed

Reportbug-maint mailing list

Reply via email to